# Generated from json_api_server-0.0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name json_api_server

Name: rubygem-%{gem_name}
Version: 0.0.1.1
Release: 1%{?dist}
Summary: Implements JSON API 1.0 - data, errors, meta, pagination, sort, filters, sparse fieldsets and inclusion of related resources
License: MIT
URL: https://github.com/ed-mare/json_api_server
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.1
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rails) >= 4.1
# BuildRequires: rubygem(rspec-rails) >= 3.5
# BuildRequires: rubygem(rubocop) >= 0.47
BuildArch: noarch

%description
Implements JSON API 1.0 - data, errors, meta, pagination, sort, filters,
sparse fieldsets and inclusion of related resources.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%{gem_instdir}/Dockerfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.dockerignore
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docker-compose.yml
%{gem_instdir}/json_api_server.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.0.1.1-1
- Initial package
